Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlUpdateFactoryAssembler

    java.lang.Object
      com.servingxml.components.sql.SqlUpdateFactoryAssembler

    public class SqlUpdateFactoryAssembler

extends java.lang.Object

The `SqlUpdateFactoryAssembler` implements an assembler for assembling system `SqlStatement` objects.

Constructor Summary
`SqlUpdateFactoryAssembler()`

Method Summary
`SqlUpdateDatabaseFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(EscapeSubstitutionVariables escapeVariables)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(QuoteSymbol quoteSymbol)`
`void` | `injectComponent(SqlPreparedStatement preparedStatement)`
`void` | `injectComponent(SqlUpdateDatabaseFactory[] detailUpdates)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setRecordType(Name recordTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlUpdateFactoryAssembler

    public SqlUpdateFactoryAssembler()

Method Detail

### setRecordType

    public void setRecordType(Name recordTypeName)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(EscapeSubstitutionVariables escapeVariables)

### injectComponent

    public void injectComponent(QuoteSymbol quoteSymbol)

### injectComponent

    public void injectComponent(SqlPreparedStatement preparedStatement)

### injectComponent

    public void injectComponent(SqlUpdateDatabaseFactory[] detailUpdates)

### assemble

    public SqlUpdateDatabaseFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD